35

I have installed in my computer the following software:

  • PosgresSQL 9.3.2.3
  • PostGIS 2.1.1.1
  • QGIS 2.0.1 Dufour (this one installed through the OSGeo4w package)
  • QGIS 1.7.0 Wroclaw

As far as I know all of them somehow operate, or use, or access the GDAL library.

Are they independent versions of GDAL therefore being used depending on which one of the above software I am using? For instance, If I open the OSGeo4W Shell, just after loading the batch it displays:

GDAL 1.10.1, released 2015/02/10

So, how can I check the other GDAL versions and make comparisons?

Is there any way of centralize all of this stuff and force the apps to use the same centralized folder?

38

OSGEO4W and all standalone QGIS installers come with a OSGEO4W Shell.

Start that, and type gdalinfo --version and read the result.

You may have different versions on the disk: Standalone, OSGEO4W and also from gisinternals if you want the latest GDAL build, but every package sets its environment so that it is using the version it was delivered with. Actually they don't know of each other.

That is the reason why you can not execute any GDAL exe or bat by just clicking on the file in Windows Explorer.

  • That's what I thought but I wasn't sure. So, I MUST have...3 or 4 versions of GDAL. Thanks. – Web-GIS entrepreneur Feb 13 '14 at 9:37
6

PosgresSQL 9.3.2.3 shouldn't be using GDAL, since it is just a database without no dependencies on it.

PostGIS 2.1.1.1 doesn't require the latest GDAL (recommends at least 1.9), but if you installed it using OSGEO4W, then it is probably linked to the latest GDAL (1.10).

QGIS 2.0.1 is probably linked to GDAL 1.10.

QGIS 1.7 is probably linked to GDAL 1.8 or 1.9; unlikely it uses 1.10.

With QGIS, you can see the version of dependent libraries in the About dialog.

The package listing for OSGeo4W is here.

To see what each actual library or executable is linked to, on Windows you can use Dependency Walker.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.